capabilities: Only plugins that require CAP_NET_ADMIN demand it
authorTobias Brunner <tobias@strongswan.org>
Mon, 24 Jun 2013 16:22:31 +0000 (18:22 +0200)
committerTobias Brunner <tobias@strongswan.org>
Tue, 25 Jun 2013 15:16:32 +0000 (17:16 +0200)
commit41b8546ac0a8c95496d1812f35eefa696cf8212c
tree2029603e9d3200599d2f99bc76ad4227c681c882
parenta2eb581781ca291c9053131be7ec99013e9c83ee
capabilities: Only plugins that require CAP_NET_ADMIN demand it

The daemon as such does not require this capability.
src/libcharon/daemon.c
src/libcharon/plugins/kernel_libipsec/kernel_libipsec_plugin.c
src/libhydra/plugins/kernel_netlink/kernel_netlink_plugin.c
src/libhydra/plugins/kernel_pfkey/kernel_pfkey_plugin.c
src/libstrongswan/utils/capabilities.h